commit 40f744fd5afd8721868e71d96a11e9f3446a31c2
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Nov 21 01:24:53 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index f96befe6823..045cd82f8a6 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,30 @@
+2025-11-20  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2025-10-10  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/122225
+	* tree-cfg.cc (verify_gimple_return): Look at DECL_RESULT
+	for DECL_BY_REFERENCE.
+
+2025-11-20  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2025-10-30  Richard Biener  <rguenther@suse.de>
+
+	* config/i386/i386-options.cc (ix86_option_override_internal):
+	Fix check during opts->x_ix86_move_max initialization.
+
+2025-11-20  Xi Ruoyao  <xry111@xry111.site>
+
+	Backported from master:
+	2025-11-20  Xi Ruoyao  <xry111@xry111.site>
+
+	PR target/122695
+	* config/loongarch/loongarch.cc (loongarch_expand_vec_perm_1):
+	Simplify and fix the logic preventing the xvshuf.* unpredictable
+	behavior.
+
 2025-11-18  Andre Vieira  <andre.simoesdiasvieira@arm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 47ee53e389b..169a914dc52 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251120
+20251121
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 04071d246c1..74e15023f6a 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2025-11-20  Xi Ruoyao  <xry111@xry111.site>
+
+	Backported from master:
+	2025-11-20  Xi Ruoyao  <xry111@xry111.site>
+
+	PR target/122695
+	* gcc.target/loongarch/pr122695-1.c: New test.
+	* gcc.target/loongarch/pr122695-2.c: New test.
+
 2025-11-19  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:

